AbstractFilterTarget (LogKit API)
Keywords: org.apache.log.filter.AbstractFilterTarget,AbstractFilterTarget class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log.filter
Class AbstractFilterTarget

    java.lang.Object
      |
      +--org.apache.log.filter.AbstractFilterTarget

All Implemented Interfaces:
  FilterTarget, LogTarget

Direct Known Subclasses:
  PriorityFilter

public abstract class AbstractFilterTarget
extends Object
implements FilterTarget, LogTarget

Abstract implementation of FilterTarget. A concrete implementation has to implement filter method.

Author:
  Avalon Development Team, Peter Donald

Constructor Summary
`AbstractFilterTarget()`

Method Summary
`void` | `addTarget(LogTarget target)` Add a new target to output chain.
`protected abstract boolean` | `filter(LogEvent event)` Filter the log event.
`void` | `processEvent(LogEvent event)` Process a log event

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractFilterTarget

    public AbstractFilterTarget()

Method Detail

### addTarget

    public void addTarget(LogTarget target)

  Add a new target to output chain.

  Specified by:
    `addTarget` in interface `FilterTarget`
  Parameters:
    `target` - the target

### filter

    protected abstract boolean filter(LogEvent event)

  Filter the log event.

  Parameters:
    `event` - the event
  Returns:
    return true to discard event, false otherwise

### processEvent

    public void processEvent(LogEvent event)

  Process a log event

  Specified by:
    `processEvent` in interface `LogTarget`
  Parameters:
    `event` - the log event

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Jakarta Project. All Rights Reserved.